Package com.collibra.dgc.core.api.dto.quality

# Class RelationTraceEntryRequest

Object
RelationTraceEntryRequest

All Implemented Interfaces:
  `Serializable`

@Deprecated public class RelationTraceEntryRequest extends Object implements Serializable
Deprecated.
This class will be removed in the future. This feature is being dropped, so no replacement will be available.
The single relation trace entry that should be assigned to a data quality rule. Data quality result is aggregated from the assets along a number of predefined relations - their type and direction should be given here.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `RelationTraceEntryRequest.Builder`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RelationTraceEntryRequest()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RelationTraceEntryRequest.Builder`
  `builder()`
  Deprecated.
  `protected boolean`
  `canEqual(Object other)`
  Deprecated.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `UUID`
  `getRelationTypeId()`
  Deprecated.
  Required. The ID of the relation type for the relation trace entry.
  `int`
  `hashCode()`
  Deprecated.
  `boolean`
  `isRoleDirection()`
  Deprecated.
  The direction of the relation to take, true if the relation is followed in role direction.
  `void`
  `setRelationTypeId(UUID relationTypeId)`
  Deprecated.
  Required. The ID of the relation type for the relation trace entry.
  `void`
  `setRoleDirection(boolean roleDirection)`
  Deprecated.
  The direction of the relation to take, true if the relation is followed in role direction.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RelationTraceEntryRequest

    public RelationTraceEntryRequest()
    Deprecated.

- ## Method Details

  - ### builder

    public static RelationTraceEntryRequest.Builder builder()
    Deprecated.

  - ### isRoleDirection

    public boolean isRoleDirection()
    Deprecated.
    The direction of the relation to take, true if the relation is followed in role direction.

  - ### getRelationTypeId

    public UUID getRelationTypeId()
    Deprecated.
    Required. The ID of the relation type for the relation trace entry.

  - ### setRoleDirection

    public void setRoleDirection(boolean roleDirection)
    Deprecated.
    The direction of the relation to take, true if the relation is followed in role direction.

  - ### setRelationTypeId

    public void setRelationTypeId(UUID relationTypeId)
    Deprecated.
    Required. The ID of the relation type for the relation trace entry.

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)
    Deprecated.

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`